Bug 237795 - dns reply from router is not defaulted to proper IPv4 address
dns reply from router is not defaulted to proper IPv4 address
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2007-04-25 10:26 EDT by Shlomi Hazan
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-22 11:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shlomi Hazan 2007-04-25 10:26:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20070409 CentOS/ Firefox/

Description of problem:
many routers spit for any dns query.
dns resolver does not fall back to use IPv4.
the poor networked applications will hang (some forever).
The user is effectively disconnected from the web !!!.
The user solves the problem by reverting back to vista. 
Yes, windows does the simple fallback for him.
It does not care for smart definitions.
Just for applications that work. User smiling.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. try
2. to
3. surf

Actual Results:
you cant work with linux (out of the box).

Expected Results:
dns resolver should fall back to IPv4.
an effective IPv6 system-wide disable option must be implemented.

Additional info:
ping does that!
every single address failing on this bug is pinged correctly.
Comment 1 Jakub Jelinek 2007-04-25 11:00:45 EDT
If the router spits for any DNS query, then it obviously can't be used
as a DNS server.  Have never seen such a broken router, so it would be good if
you could describe exactly in what situations it sends faulty replies and
what exactly it sends - ideally tcpdump -s 0 -w dns.log of the packet exchange
with the router when it sends broken reply.
Comment 2 Jakub Jelinek 2007-05-22 11:40:05 EDT
No response in almost a month, closing.

Note You need to log in before you can comment on or make changes to this bug.